//+------------------------------------------------------------------+
//|                                                |
//|                                            |
//|                                     http://www.johansetiawan.net |
//+------------------------------------------------------------------+
#property copyright "ii"
#property link      "http://www"

//---- input parameters
extern string       IDtxt="Straddling";
extern int       IDno=3088650;


//---- EDIT PARAMATERS HERE
extern int       Stoploss=10; //HOW MUCH PIPS STOP LOSS
extern int       TargetPoint=10; //HOW MUCH PIPS TP
extern int       Limit=10; //HOW MICH PIPS FROM ACTUAL PRICE
extern int       Slippage=3; //SLIPPAGE
extern int       NormalizeDigit=4; //PUT 4 FOR EURUSD/GBPUSD/CURRENCY WITH 4 DIGITS AFTER COMMA ; PUT 2 FOR CURRENCY WITH 2 DIGIT UNDER COMMA (USDJPY)
extern double       Lots=1.0; //NUMBER OF LOT TO BE OPENED
//------------------------



double tp,sl,entry;
int tiket;

//+------------------------------------------------------------------+
//| script program start function                                    |
//+------------------------------------------------------------------+
int start()
  {
//----
   //open buy
   entry=NormalizeDouble(Ask+Limit*Point,NormalizeDigit);
   if (Stoploss>0) sl=NormalizeDouble(entry-Stoploss*Point,NormalizeDigit); else sl=0;
   if (TargetPoint>0) tp=NormalizeDouble(entry+TargetPoint*Point,NormalizeDigit); else tp=0;
   
   
   tiket=OrderSend(Symbol(),OP_BUYSTOP,Lots,entry,Slippage,sl,tp,IDtxt,IDno,0,Red);
   Print("OPENING BUY STOP AT "+entry+ " | TP : "+tp+" | SL : "+sl);
   if(tiket>0)
   {
      if(OrderSelect(tiket,SELECT_BY_TICKET,MODE_TRADES)) Print("BUY STOP order opened : ",OrderOpenPrice());
   }
   else 
   {
      Print("Error opening BUYSTOP order : ",GetLastError()); 
      Alert("Open buy stop error");
   }
   
   

   
//----
   return(0);
  }
//+------------------------------------------------------------------+